routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','frontController@index');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('verifyEmailFirst','Auth\RegisterController@verifyEmailFirst')->name('verifyEmailFirst');

Route::get('verify/{email}/{verifyToken}','Auth\RegisterController@sendEmailDone')->name('sendEmailDone');
Route::get('home/users/{id}/edit','userController@edit')->name('showUser');
Route::resource('home/users','userController');
Route::get('home/users/profile/{id}','userController@show')->name('showProfile');
Route::get('home/moderations/users','app\userController@moderation')->name('moderations');
Route::get('home/register/users','app\userController@register')->name('create');
Route::get('home/verifications/users','app\userController@verification')->name('verifications');
Route::PUT('home/moderation/{id}','app\userController@endModerate')->name('endModerate');
Route::get('home/moderation/uploadfile/{id}','app\userController@docsUpdate')->name('docsUpdate');
Route::PUT('home/moderation/uploadfile/{id}','app\userController@docsStore')->name('docsStore');

Route::get('home/users/profile/workexperience/{id}','app\userController@workExperiencesEdit')->name('workExperienceEdit');
Route::PUT('home/users/profile/workexperience/{id}','app\userController@workExperiencesPublic')->name('workExperiencePublic');
//Horarios de trabajo Sanatorio
Route::get('home/users/profile/horario/sanatorio/{id}','app\userController@horariosSanatorios')->name('horariosSanatorios');
Route::PUT('home/users/profile/horario/sanatorio/{id}','app\userController@horariosSanatoriosUpdate')->name('horariosSanatoriosUpdate');
//Horaio de trabajo Hospital
Route::get('home/users/profile/horario/hospital/{id}','app\userController@horariosHospitales')->name('horariosHospital');
Route::PUT('home/users/profile/horario/hospital/{id}','app\userController@horariosHospitalesUpdate')->name('horariosHospitalUpdate');
#Horario de trabajo en Domicilio
Route::get('home/users/profile/horario/domicilio/{id}','app\userController@horariosDomicilios')->name('horariosDomicilio');
Route::PUT('home/users/profile/horario/domicilio/{id}','app\userController@horariosDomiciliosUpdate')->name('horariosDomicilioUpdate');
// Redirect the user to the provider authentication page
Route::get('auth/facebook', 'Auth\SocialAuthController@redirectToProvider')->name('social.auth');
Route::get('auth/facebook/callback', 'Auth\SocialAuthController@handleProviderCallback');
#
#Routas para el costo de los servicios
Route::resource('/home/contabilidad/costo','costoController'); 
#
#Routes para Manejo de las tasas de cambios
Route::resource('/home/contabilidad/tasadecambio','tasaCambioController');
#Route para el manejo de las membresias
Route::resource('/home/productos/membresia','membresiaController');
#Ruta para manejo de Servicios
Route::resource('/home/productos/servicios','serviciosController');
#Route para manejo de los costos de las membresias
Route::resource('/home/contabilidad/costoMembresia','membresiaCostoController');
#Routes para las contrataciones de servicios
Route::resource('/home/contrato','contratosController');
#
#Contrat de Membresias
Route::resource('/home/productos/contrato/membresias','membresiaContratoController');
#
Route::resource('/home/invoice','facturaController');
#
#Routes para los pagos MercadoPago y PayPal
Route::post('/home/invoice/payout','payController@pagosMercadoPago')->name('recibirPagos');




#seecion de desarrollo para atencion al cliente
Route::get('/home/atencion_al_cliente/membresias','app\atencionCliente@membresiaVentasIndex')->name('ventaMembresia');
Route::get('/home/atencion_al_cliente/ventas/membresias','app\atencionCliente@membresiaVentasShow')->name('ventaMembresiaUsuario');
Route::GET('/home/atencion_al_cliente/ventas/membresias/usuario_registrado/','app\atencionCliente@membresiaVentasPais')->name('ventaMembresiaPais');

// Seccion de contabilidad para atencion al cliente
Route::get('/home/contabilidad/atencion_al_cliente/membresias/{id}/vendedor','app\atencionCliente@resumenVentas')->name('resumenVentas');

//SEccion de Comisiones
Route::get('/home/comisiones','app\comisionesController@mostrarComisiones')->name('comisiones.show');
Route::get('/home/comisiones/call_center','app\comisionesController@mostrarComisionesCallCenter')->name('comisionesCall.show');
Route::get('/home/comisiones/referidos','app\comisionesController@mostrarComisionesReferidos')->name('comisionesReferidos.show');

app/servicios.php
<?php

namespace acompana;

use Illuminate\Database\Eloquent\Model;

class servicios extends Model
{
    protected $table = 'servicios';

    protected $fillable = [
    	'servicio',
		'id_pais',
		'costo',
		'costo_profesional'
    ];
    public function pais(){
    	return $this->belongsTo(tasaCambio::class,'id_pais');
    }
}

app/Http/Controllers/serviciosController.php
<?php

namespace acompana\Http\Controllers;

use Illuminate\Http\Request;
use acompana\tasaCambio;
use acompana\servicios;

class serviciosController extends Controller
{
         public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $servicios = servicios::all();
        return view('dashboard.contabilidad.servicios.index',compact('servicios'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $paises = tasaCambio::all();
        return view('dashboard.contabilidad.servicios.create',compact('paises'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $servicios = new servicios($request->all());
        $servicios->save();
        return redirect(route('servicios.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id = decrypt($id);
        $servicio = servicios::find($id);
        return view('dashboard.contabilidad.servicios.edit',compact('servicio'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $id = decrypt($id);
        $servicio = servicios::find($id);
            $servicio->servicio = $request->servicio;
            $servicio->costo = $request->costo;
            $servicio->costo_profesional = $request->costo_profesional;
        $servicio->save();
        return redirect(route('servicios.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

        servicios::destroy(decrypt($id));
        return back();
    }
}

resources/views/dashboard/contabilidad/servicios/create.blade.php
@extends('Templates.Dashboard.users')
@section('body')
<div class="card">
<div class="card-header">
<h3>Crear Servicios</h3>
<p>Antes de crear una servicio y burcar por Pais, usted deberá crear la Tasa de Cambio. Reecuerde la tasa de cambio debe ser creada con un valor por defecto de 1USD$</p>
</div>
<div class="card-block">
<div class="row">
<div class="col-md-12">
<div id="wizard">
<section>
<form class="wizard-form" id="example-advanced-form" method="POST" action="{{route('servicios.store')}}" enctype="multipart/form-data">
{{ csrf_field() }}
<h3>Costos de Servicio</h3>

<fieldset>

<div class="form-group">
<div class="row">	
<div class="col-md-4 col-lg-3">
<label for="CountryW-2" class="block">Pais</label>
</div>
<div class="col-md-8 col-lg-9">
<select class="form-control required" id="selectPais" name="id_pais">
	<option value="">-- Seleccione un Pais --</option>
	@foreach($paises as $pais)
    <option value="{{$pais->id}}">{{$pais->Pais->PaisNombre}}</option>
    @endforeach
</select>
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-4 col-lg-3">
<label for="date" class="block">Servicio</label>
</div>
<div class="col-md-8 col-lg-9">
<div class="input-group">
<input id="" name="servicio" type="text" class="form-control date-control required">
</div>
</div>
</div>
</div><div class="form-group">
<div class="row">
<div class="col-md-4 col-lg-2">
<label for="date" class="block">Costo No Profesional</label>
</div>
<div class="col-md-8 col-lg-4">
<div class="input-group">
<input id="" name="costo" type="text" class="form-control date-control required">
</div>
</div>
<div class="col-md-4 col-lg-2">
<label for="date" class="block">Costo Profesional</label>
</div>
<div class="col-md-8 col-lg-4">
<div class="input-group">
<input id="" name="costo_profesional" type="text" class="form-control date-control required">
</div>
</div>

</div>
</div>
</fieldset>
</form>
</section>
</div>
</div>
</div>
</div>
</div>

@stop

resources/views/dashboard/contabilidad/servicios/edit.blade.php
@extends('Templates.Dashboard.users')
@section('body')
<div class="card">
<div class="card-header">
<h3>Crear Membresia</h3>
<p>Antes de crear una membresía y burcar por Pais, usted deberá crear la Tasa de Cambio. Reecuerde la tasa de cambio debe ser creada con un valor por defecto de 1USD$</p>
</div>
<div class="card-block">
<div class="row">
<div class="col-md-12">
<div id="wizard">
<section>
<form class="wizard-form" id="example-advanced-form" method="POST" action="{{route('servicios.update',['servicio'=>encrypt($servicio->id)])}}" enctype="multipart/form-data">
{{ method_field('PUT')}}
{{ csrf_field() }}
<h3>Costos de Servicio</h3>

<fieldset>

<div class="form-group">
<div class="row">	
<div class="col-md-4 col-lg-3">
<label for="CountryW-2" class="block">Pais</label>
</div>
<div class="col-md-8 col-lg-9">
<input type="text" class="form-control" name="id_pais" disabled="" value="<?php echo $servicio->pais->Pais->PaisNombre?>">
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-4 col-lg-3">
<label for="date" class="block">Servicio</label>
</div>
<div class="col-md-8 col-lg-9">
<div class="input-group">
<input id="" name="servicio" type="text" class="form-control date-control required" value="<?php echo $servicio->servicio ?>">
</div>
</div>
</div>
</div><div class="form-group">
<div class="row">
<div class="col-md-4 col-lg-2">
<label for="date" class="block">Costo No Profesional</label>
</div>
<div class="col-md-8 col-lg-4">
<div class="input-group">
<input id="" name="costo" type="text" class="form-control date-control required" value="<?php echo $servicio->costo ?>">
</div>
</div>
<div class="col-md-4 col-lg-2">
<label for="date" class="block">Costo Profesional</label>
</div>
<div class="col-md-8 col-lg-4">
<div class="input-group">
<input id="" name="costo_profesional" type="text" class="form-control date-control required" value="<?php echo $servicio->costo_profesional ?>">
</div>
</div>

</div>
</div>
</fieldset>
</form>
</section>
</div>
</div>
</div>
</div>
</div>

@stop

resources/views/dashboard/contabilidad/servicios/index.blade.php
@extends('Templates.Dashboard.table')
@section('body')
<div class="card">
<div class="card-header">
<h5>Membresias</h5>
</div>

<div class="card-block">
<div class="dt-responsive table-responsive">
<table id="simpletable" class="table table-striped table-bordered nowrap">
<thead>
<tr>
<th>#</th>
<th>Servicio</th>
<th>Pais</th>
<th>Costo</th>
<th>Costo Profesional</th>
<th>Acciones</th>
</tr>
</thead>
<tbody>
<?php $id = 1 ?>
@foreach($servicios as $servicio)
<tr>

	<td><?php echo $id++; ?></td>
	<td>{{$servicio->servicio}}</td>
	<td>{{$servicio->pais->Pais->PaisNombre}}</td>
	<td><?php echo $servicio->costo*$servicio->pais->tasaCambios . " " . $servicio->pais->monedaLocal ?></td>
	<td><?php echo $servicio->costo_profesional*$servicio->pais->tasaCambios . " " . $servicio->pais->monedaLocal ?></td>
	<td>
	<a class="text-info" href="{{route('servicios.edit',['servicio'=>encrypt($servicio->id)])}}">Editar Servicio</a> <br> 

	<a class="text-danger" href="{{ route('servicios.destroy',['servicio'=>encrypt($servicio->id)]) }}"
 	onclick="event.preventDefault();
 		document.getElementById('delete<?php echo $servicio->id  ?>').submit();">
		Eliminar Servicio
	</a>
	<form id="delete<?php echo $servicio->id  ?>" action="{{ route('servicios.destroy',['servicio'=>encrypt($servicio->id)]) }}" method="POST" enctype="multipart/form-data" style="display: none;">
		{{ method_field('DELETE')}}
  		{{ csrf_field()}}
	</form>

	</td>
</tr>
@endforeach
</tbody>
<tfoot>
<tr>
<th>#</th>
<th>Servicio</th>
<th>Pais</th>
<th>Costo</th>
<th>Costo Profesional</th>
<th>Acciones</th>
</tr>
</tfoot>
</table>
</div>
</div>
</div>
@stop